Part Box/en: Difference between revisions

From FreeCAD Documentation
(Updating to match new version of source page)
(Updating to match new version of source page)
(14 intermediate revisions by the same user not shown)
Line 1: Line 1:
<languages/>
<languages/>
{{Docnav
{{GuiCommand|Name=Part Box|MenuLocation=Part → Primitives → Cube||Workbenches=[[Part Module|Part]], Complete|SeeAlso=[[Part_CreatePrimitives|Part CreatePrimitives]]}}
|
|[[Part_Cylinder|Cylinder]]
|[[Part_Workbench|Part]]
|IconL=
|IconR=Part_Cylinder.svg
|IconC=Workbench_Part.svg
}}

{{GuiCommand
|Name=Part Box
|MenuLocation=Part → Primitives → Cube
|Workbenches=[[Part_Workbench|Part]]
|SeeAlso=[[Part_Primitives|Part Primitives]]
}}


==Description==
==Description==
Line 7: Line 21:
[[Image:Part_Box.jpg|400px|Part_Box]]
[[Image:Part_Box.jpg|400px|Part_Box]]


==How to Use==
==Usage==
* Click the cube icon {{KEY|[[Image:Part Box.png|30px]]}} from the Part Workbench.
# Switch to the [[Image:Workbench_Part.svg|16px]] [[Part_Workbench|Part Workbench]]
# There are several ways to invoke the command:
* Alternatively, you can select {{MenuCommand|Part → Primitives → Cube}} from the menu bar.
#* Press the {{Button|[[Image:Part_Box.svg|16px]] Cube}} button in the toolbar.
#* Select the {{MenuCommand|Part → Primitives → [[Image:Part_Box.svg|16px]] Cube}} from the menu bar.


'''Result:''' The default result is a box with an equal length, width and height of 10 mm. It is attached to the global xy-plane and one edge is coincident with the global z-axis.
==Options==

* Via the [[Property_editor | Property Editor]]:
The box properties can later be edited, either in the property editor or by double-clicking on the box in the model tree.
** '''Length:''' Set the length distance for your Box object (default is 10 mm).
** '''Width:''' Set the width distance for your Box object (default is 10 mm).
** '''Height:''' Set the height distance for your Box object (default is 10 mm).
** '''Placement:''' Specifies the orientation and position of the Box in the 3D space. See [[Placement | Placement]]. The reference point is the left front lower corner of the box.
** '''Label:''' The Label is the name given to the operation. This name can be changed at your convenience.


==Properties==
==Properties==
{{Properties_Title|Base}}
{{Properties_Title|Base}}
*{{PropertyData|Placement}}: Specifies the orientation and position of the Box in the 3D space. See [[Placement | Placement]]. The reference point is the left front lower corner of the box.
*{{PropertyData|Placement}}: Specifies the orientation and position of the Box in the 3D space. See [[Placement|Placement]]. The reference point is the left front lower corner of the box.
*{{PropertyData|Label}}: Label given to the Box object. Change to suit your needs.
*{{PropertyData|Label}}: Label given to the Box object. Change to suit your needs.


Line 32: Line 44:


==Scripting==
==Scripting==
The Box command can by used in [[macros]] and from the python console using the following function:
The Box command can by used in [[Macros|macros]] and from the python console using the following function:
{{Code|code=
{{Code|code=
FreeCAD.ActiveDocument.addObject("Part::Box", "myBox")
FreeCAD.ActiveDocument.addObject("Part::Box", "myBox")
Line 51: Line 63:
}}
}}


==FreeCAD - Version==


{{Docnav
|
|[[Part_Cylinder|Cylinder]]
|[[Part_Workbench|Part]]
|IconL=
|IconR=Part_Cylinder.svg
|IconC=Workbench_Part.svg
}}


{{Part Tools navi{{#translation:}}}}
*{{Version|0.14}}
{{Userdocnavi{{#translation:}}}}
Beginning in FreeCAD version 0.14, a Part Box is referred to in the GUI elements as a Cube and the default label is "Cube".

Revision as of 12:11, 25 August 2021

Part Box

Menu location
Part → Primitives → Cube
Workbenches
Part
Default shortcut
None
Introduced in version
-
See also
Part Primitives

Description

The Box command from the Part Workbench inserts a parametric, rectangular cuboid, geometric primitive into the active document. By default, the Box command will insert a 10x10x10 mm cube, positioned at the origin, with the label "cube". These parameters may be modified after the object has been added.

Part_Box

Usage

  1. Switch to the Part Workbench
  2. There are several ways to invoke the command:
    • Press the Cube button in the toolbar.
    • Select the Part → Primitives → Cube from the menu bar.

Result: The default result is a box with an equal length, width and height of 10 mm. It is attached to the global xy-plane and one edge is coincident with the global z-axis.

The box properties can later be edited, either in the property editor or by double-clicking on the box in the model tree.

Properties

Base

  • DataPlacement: Specifies the orientation and position of the Box in the 3D space. See Placement. The reference point is the left front lower corner of the box.
  • DataLabel: Label given to the Box object. Change to suit your needs.

Box

  • DataLength: The length parameter is the Box's dimension in the x-direction.
  • DataWidth: The width parameter is the Box's dimension in the y-direction.
  • DataHeight: The height parameter is the Box's dimension in the z-direction.

Part_Box-Properties

Scripting

The Box command can by used in macros and from the python console using the following function:

FreeCAD.ActiveDocument.addObject("Part::Box", "myBox")
  • Where "myBox" is the label for the Box object.
  • Returns newly created object of type Box.

You can access and modify attributes of the Box object. For example, you may wish to modify the length, width and height parameters.

FreeCAD.ActiveDocument.myBox.Length = 25
FreeCAD.ActiveDocument.myBox.Width = 15
FreeCAD.ActiveDocument.myBox.Height = 30

You can change its placement with:

FreeCAD.ActiveDocument.myBox.Placement = FreeCAD.Placement(FreeCAD.Vector(4, 6, 3), FreeCAD.Rotation(30, 45, 10))